"""update pwe oi formular

Revision ID: b7e7d2b79756
Revises: 774739532d8a
Create Date: 2016-06-16 15:36:16.654608

"""

# revision identifiers, used by Alembic.
revision = 'b7e7d2b79756'
down_revision = '774739532d8a'

from alembic import op
import sqlalchemy as sa


INSERTS = """
UPDATE outputindicators SET pwe_targetgroup_parenttime = 2;
UPDATE outputindicators SET pwe_targetgroup_parenttime_specialsupport = 0;
UPDATE outputindicators SET lm_employment_category_underemployed_reduced = 1 WHERE  lm_employment_category_underemployed = 1 AND pwe_targetgroup = 2;
UPDATE outputindicators SET lm_employment_category_selfemployed_reduced = 1 WHERE lm_employment_category_selfemployed = 1;
UPDATE outputindicators SET edu_attainment_vocational_experience = 1 WHERE pwe_targetgroup = 0 AND edu_attainment_vocational = 0;
UPDATE outputindicators SET edu_attainment_vocational_experience2 = 1 WHERE pwe_targetgroup = 1 AND lm_employment_category_employed = 0 and lm_employment_category_underemployed = 0;
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.add_column('outputindicators', sa.Column('edu_attainment_vocational_experience', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('edu_attainment_vocational_experience2', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_selfemployed_reduced', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('lm_employment_category_underemployed_reduced', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('pwe_targetgroup_parenttime', sa.Integer(), nullable=True))
    op.add_column('outputindicators', sa.Column('pwe_targetgroup_parenttime_specialsupport', sa.Integer(), nullable=True))
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_column('outputindicators', 'pwe_targetgroup_parenttime_specialsupport')
    op.drop_column('outputindicators', 'pwe_targetgroup_parenttime')
    op.drop_column('outputindicators', 'lm_employment_category_underemployed_reduced')
    op.drop_column('outputindicators', 'lm_employment_category_selfemployed_reduced')
    op.drop_column('outputindicators', 'edu_attainment_vocational_experience2')
    op.drop_column('outputindicators', 'edu_attainment_vocational_experience')
    ### end Alembic commands ###
    iter_statements(DELETES)
